Name: H5Pset_fill_time
Signature:
  herr_t `H5Pset_fill_time`(hid_t `plist_id`, H5D_fill_time_t `fill_time` )
Purpose:
  Sets the time when fill values are written to a dataset.
Description:
  `H5Pset_fill_time` sets up the timing for writing fill values to a dataset. This property is set in the dataset creation property list `plist_id`.

  Timing is specified in `fill_time` with one of the following values:

  | `H5D_FILL_TIME_IFSET` | Write fill values to the dataset when storage space is allocated only if there is a user-defined fill value, i.e., one set with H5Pset_fill_value. (Default)
  | `H5D_FILL_TIME_ALLOC` | Write fill values to the dataset when storage space is allocated.
  | `H5D_FILL_TIME_NEVER` | Never write fill values to the dataset.

Note:
  `H5Pset_fill_time` is designed for coordination with the dataset fill value and dataset storage allocation time properties, set with the functions `H5Pset_fill_value` and `H5Pset_alloc_time`.

  See H5Dcreate for further cross-references.

Parameters:

hid_t `plist_id` | IN: Dataset creation property list identifier.
H5D_fill_time_t `fill_time` | IN: When to write fill values to a dataset.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_fill_time_f

      SUBROUTINE h5pset_fill_time_f(plist_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id ! Dataset creation property
                                               ! list identifier
        INTEGER(HSIZE_T), INTENT(IN) :: flag   ! File time flag
                                               ! Possible values are:
                                               !    H5D_FILL_TIME_ERROR_F
                                               !    H5D_FILL_TIME_ALLOC_F
                                               !    H5D_FILL_TIME_NEVER_F
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_fill_time_f

History:

Release | C
1.6.0 | Function introduced in this release.